import math



for x in range(0,75,5):
    w = 14 + 2 * x * math.tan(math.pi/36)
    print "<rect x=\"%.2f\" y=\"%.2f\" width=\"%.2f\" height=\"1.6\"/>" % (-w/2, x, w)


degrees=math.pi/180.0


gauge=9
rail_width=0.8

def arc(radius,angle,offset):
    dx = ( 1.0 - math.cos ( angle ) ) * radius
    dy = math.sin ( angle ) * radius
    print "a%.2f,%.2f 0 0,0 %.2f,%.2f" % ( radius, radius, dx, dy )
    
    
    
def flat_arc(radius,angle,offset):
    dx = offset + ( 1.0 - math.cos ( angle / 2) ) * radius
    dy = math.sin ( angle / 2) * radius
    print "M%.2f,%.2f a%.2f,%.2f 0 0,0 %.2f,%.2f" % ( dx, -dy, radius, radius, 0, 2 * dy )
    

def double(nominal_radius, angle, strategy):
    offset = 0.5 * ( gauge + rail_width )
    
    inner_radius = nominal_radius - offset
    outer_radius = nominal_radius + offset
    
    strategy(inner_radius, angle, offset)
    strategy(outer_radius, angle, -offset)

def double_arc(nominal_radius, angle):
    double(nominal_radius,angle,arc)

def double_flat_arc(nominal_radius, angle):
    double(nominal_radius,angle,flat_arc)
    
for r in [300,325,350,375]:
    double_flat_arc(r, 30*degrees)